# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():
    print('installing tis-sinequanon')

    version = control['version'].split('-',1)[0]

    def get_sinequanon_version(key):
        return get_file_properties(makepath(programfiles32, 'Sine qua non','sinequanon.exe'))['FileVersion']

    install_exe_if_needed("Installe_Sinequanon-%s.exe" % version,'/VERYSILENT /SUPPRESSMSGBOXES /NORESTART',key='Sine qua non_is1',min_version=version,get_version=get_sinequanon_version)

    # Kill at end of installation
    killalltasks('Sinequanon.exe')


def update_package():
    try:
        import BeautifulSoup
    except:
        import bs4 as BeautifulSoup
    import requests,re


    proxies = {}
    if isfile(makepath(user_local_appdata(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}




    urlversion = 'http://www.patrice-rabiller.fr/SineQuaNon/menusqn.htm'

    page = wgets(urlversion,proxies=proxies)
    bs = BeautifulSoup.BeautifulSoup(page)

    bs_raw_string = str(bs.findAll('p')[3]).split('version ',1)[1]
    version = bs_raw_string.split(' -',1)[0]

    url = 'http://www.patrice-rabiller.fr/telechargements/'
    url64 = url + "Installe_Sinequanon.exe"
    print(url64)


    filenamex64 = "Installe_Sinequanon-%s.exe" % version

    for fileexe in glob.glob('*.exe'):
        if fileexe != filenamex64 :
            print('Delete ' + fileexe)
            remove_file(fileexe)

    if not isfile(filenamex64):
        print('Download ' + url64)
        wget(url64,filenamex64,proxies=proxies)

    control.load_control_from_wapt()

    control.version = version + '-10'
    control.save_control_to_wapt()